easythreads v5.5
Supports Windows 8.x 64-bit and 32-bit, Windows 7 64-bit and 32-bit, Windows Vista 64-bit and 32-bit, Windows XP 64-bit and 32-bit
=================================================================

Thank you for using the Easy Organizer Suite software package.
The easy-to-use Suite of Management + Conversion Programs


1.0 What's New
-----------------------

	- The easySewingPatterns Organizer Module has been added to Easy Organizer Suite.  It allows you to keep track of your sewing patterns.



5.5 Bug Fixes
-----------------------

BUILD 114 (Released 10/17/2020)
	Easy Organizer Suite
		- Splash screen and Module Selecter were updated to display 2020 copyright

		easyThreads Organizer
			- New thread brands were added:
				- Metro Pro Mini Spools (1000M)
				- Metro Pro Big Spools (5000M)
				- Otto Embroidery Poly Thread #40 5,500 yd. King Cone
				- Otto Embroidery Glow in the Dark Thread #30 4,400 yd. King Cone
				- Otto Embroidery Neon Thread #40 5,500 yd. King Cone
				- Otto Embroidery Metallic Thread #40 3,300 yd. Cone
				- Otto Embroidery Multicolor Thread #40 5,500 yd. King Cone
			
			- New thread sets were added:
				- Floriani Newest 30 Colors Thread Set
				- Floriani 120 Spool Thread Set #1
				- Floriani 120 Spool Thread Set #2
				- Floriani 120 Spool Thread Set #3
				- Floriani 60 Top Selling Colors Thread Set
				- Floriani Anniversary Thread Collection
				- Floriani Rainbow of Color Thread Collection
				- Floriani Seasonal Spring 30 Spool Thread Collection
				- Floriani Seasonal Summer 30 Spool Thread Collection
				- Floriani Seasonal Fall 30 Spool Thread Collection
				- Floriani Seasonal Winter 30 Spool Thread Collection
				
			- Shopping List will now bring in the Source threads if the Match thread is blank.
			
			- Remove Match now works correctly.
			
			- When importing an embroidery design, if Auto Convert is unselected and To Brand is set to -- None --, then no matching thread will be found.  Only the Source thread will be inserted into the chart.
			
			- Category and Keywords will now show all values when there are more than 10.

			- Bugs when getting default brand id and saving have been fixed in Auto-Importer.

		easyEmbroidery File Organizer
			
			- Category and Keywords will now show all values when there are more than 10.
			
		easyWebsites Organizer
			
			- Category and Keywords will now show all values when there are more than 10.
			
		easyFabrics Organizer
			
			- Category and Keywords will now show all values when there are more than 10.
			
		easyQuiltPatterns Organizer
			
			- Category and Keywords will now show all values when there are more than 10.
			
		easyProjects Organizer
			
			- Category and Keywords will now show all values when there are more than 10.

		easySewingPatterns Organizer
			
			- Category and Keywords will now show all values when there are more than 10.
		
BUILD 113 (Released 08/21/2018)
	Easy Organizer Suite
		- Splash screen and Module Selecter was updated to display 2018 copyright

		easyThreads Organizer
			- Scroll bars will display when needed on all charts.

		easyEmbroidery File Organizer
			- Validation is now working correctly in the add/edit embroidery design form.
			- Scroll bars will display when needed on all charts.
			
		easyWebsites Organizer
			- Validation is now working correctly in the add/edit website form.
			- Scroll bars will display when needed on all charts.
			
		easyFabrics Organizer
			- Validation is now working correctly in the add/edit fabric form.
			- Scroll bars will display when needed on all charts.
			
		easyQuiltPatterns Organizer
			- Validation is now working correctly in the add/edit quilt pattern form.
			- Scroll bars will display when needed on all charts.
			
		easyProjects Organizer
			- Validation is now working correctly in the add/edit project form.
			- Scroll bars will display when needed on all charts.

		easySewingPatterns Organizer
			- Validation is now working correctly in the add/edit sewing pattern form.
			- Scroll bars will display when needed on all charts.
		
BUILD 112 (Released 02/28/2018)
	Easy Organizer Suite
		- 

		easyThreads Organizer
			- Selecting different brands that do not have the same name and display name in the Available Threads Brands dropdown now changes the selection of threads.
			- Selecting different brands that do not have the same name and display name in the Brands dropdown in the Threads System Table now changes the selection of threads.
			- Selecting different thread sets that do not have the same name and display name in the Thread Sets dropdown in the Thread Set Threads System Table now changes the selection of threads.

		easyEmbroidery File Organizer
			
		easyWebsites Organizer
			
		easyFabrics Organizer
			
		easyQuiltPatterns Organizer
			
		easyProjects Organizer

		easySewingPatterns Organizer
		
BUILD 111 (Released 02/25/2018)
	Easy Organizer Suite
		- Activating a confirmation code is now working properly.

		easyThreads Organizer
			- When setting the form field in Customize Columns, if the current index is greater than the length of the current data rows, the system no longer fatally errors, but simply does not update the form field, as the data in incorrect.
			- Added the 30 newest Floriani Polyester threads
			- Finding using text with an apostrophe in it no longer errors

		easyEmbroidery File Organizer
			- Finding folders and embroidery file charts is no longer case-sensitive.
			- Saving new embroidery file charts with keywords is now correctly saving.
			- Finding using text with an apostrophe in it no longer errors
			
		easyWebsites Organizer
			- Deleting rows in the Websites System Table is working as expected.
			- Finding using text with an apostrophe in it no longer errors
			
		easyFabrics Organizer
			- Finding folders and fabric charts is no longer case-sensitive.
			- The Keywords list box is no longer behind the Categories list box and can be seen in it's entirety.
			- Deleting rows in the Fabrics System Table is working as expected.
			- Finding using text with an apostrophe in it no longer errors
			
		easyQuiltPatterns Organizer
			- Finding folders and quilt pattern charts is no longer case-sensitive.
			- Deleting rows in the Quilt Patterns System Table is working as expected.
			- Finding using text with an apostrophe in it no longer errors
			
		easyProjects Organizer
			- Finding folders and project charts is no longer case-sensitive.
			- Deleting rows in the Projects System Table is working as expected.
			- Finding using text with an apostrophe in it no longer errors

		easySewingPatterns Organizer
			- Finding folders and sewing pattern charts is no longer case-sensitive.
			- Deleting rows in the Sewing Patterns System Table is working as expected.
			- Finding using text with an apostrophe in it no longer errors
			
BUILD 110 (Released 09/05/2017)
	Easy Organizer Suite
		- The program now displays as expected on high resolution monitors.  All forms in all modules were redone.

		easyThreads Organizer
			- Customize Columns is now working properly.
			- Aurifil Mako thread names and RGB values were updated.  Also, missing threads were added.
			- The new Mettler Metrosene threads were added.

		easyEmbroidery File Organizer
			- Customize Columns is now working properly.
			
		easyWebsites Organizer
			- Customize Columns is now working properly.
			
		easyFabrics Organizer
			- Customize Columns is now working properly.
			
		easyQuiltPatterns Organizer
			- Customize Columns is now working properly.
			
		easyProjects Organizer
			- Customize Columns is now working properly.

		easySewingPatterns Organizer
			- Customize Columns is now working properly.

BUILD 109 (Released 06/18/2017)
	Easy Organizer Suite
		- Rolling back change for high resolution computers as it breaks opening the Easy Organizer Suite, Update Wizard, Upgrade Wizard and Auto Import Wizard on Windows XP, Windows Vista, Windows 7, and some Windows 8 operating systems.

BUILD 108 (Released 06/15/2017)
	Easy Organizer Suite
		- Adding and removing links has been improved.  The list is a tree with categories, which is so much easier to find the charts, and it allows multiple selection of links at one time.
		- Activation has been improved.
		- The program now displays as expected on high resolution computers.

		easyThreads Organizer
			- When importing, if the selections result in an empty string for the IN statement when Use My Favorites First is selected, the filter expression no longer contains that limitation.
			- The system now only saves the changed rows, and not the entire table.
			- Isacord threads have been updated.  The threads without names were named and the leading zero was added to the number when the threads didn't have it.
			- Selecting an Inventory List when importing My Inventory files is now working as expected.

		easyEmbroidery File Organizer
			- Importing an embroidery design from a file is now working as expected.
			
		easyWebsites Organizer
			- 
			
		easyFabrics Organizer
			- 
			
		easyQuiltPatterns Organizer
			- 
			
		easyProjects Organizer
			- 

		easySewingPatterns Organizer
			- 

BUILD 107 (Released 02/06/2017)
	Easy Organizer Suite
		- 

		easyThreads Organizer
			- Premium Select threads were added to the easythreads database
			- Fil-Tec Glide brands were renamed to include their spool sizes; Glide 1000M and Glide 5000M.  Because these brands had the same names, they were never able to be easily removed from included brands.
			- 

		easyEmbroidery File Organizer
			- The categories that an embroidery file chart belong to are now showing a check mark in the Categories list box.
			- Creating the very first Embroidery File Chart now works as expected.
			
		easyWebsites Organizer
			- 
			
		easyFabrics Organizer
			- 
			
		easyQuiltPatterns Organizer
			- 
			
		easyProjects Organizer
			- 

		easySewingPatterns Organizer
			- 

BUILD 106 (Released 01/09/2017)
	Easy Organizer Suite
		- Creating tool bar buttons no longer throws an error
		- Multiple links can now be added at the same time.
		- The Add Link form is now sizable.
		- All 2016 dates have been changed to 2017.

		easyThreads Organizer
			- The system no longer fatally crashes when on some embroidery files where the system was unable to retrieve an image from the embroidery design
			- The system no longer fatally crashes when importing an embroidery design and the system is unable to retrieve the number of distinct entries in the color pallette.

		easyEmbroidery File Organizer
			- The picture now displays when importing an embroidery design.
			- When importing an embroidery design, the fields are filled and saved correctly.
			- The system is now finding and saving the correct categories,  even when named the same.
			- Importing previously imported designs does not add duplicates, and if fields are missing, they are set.
			- When importing, folder names with apostrophes work now.
			- When importing, you can now select all and deselect all embroidery formats with one click.
			- The import wizard is now sizable.
			
		easyWebsites Organizer
			- 
			
		easyFabrics Organizer
			- 
			
		easyQuiltPatterns Organizer
			- 
			
		easyProjects Organizer
			- 

		easySewingPatterns Organizer
			- 

BUILD 105 (Released 09/01/2016)
	Easy Organizer Suite
		- 

		easyThreads Organizer
			- Setting the Use My Favorites First setting in the Convert Options form when converting or showing matches now works as expected
			- Saving a design chart to a directory that has an apostrophe in it no longer errors
			- Selecting Inventory Charts and Favorites Charts in the Convert Options form is now remembering the settings correctly and applying the settings correctly.

		easyEmbroidery File Organizer
			- 
			
		easyWebsites Organizer
			- 
			
		easyFabrics Organizer
			- 
			
		easyQuiltPatterns Organizer
			- 
			
		easyProjects Organizer
			- 

		easySewingPatterns Organizer
			- Opening a chart with a missing or incorrect image file path no longer displays fatal error.

BUILD 104 (Released 08/15/2016)
	Easy Organizer Suite
		- 

		easyThreads Organizer
			- Adding threads to a My Inventory List that already exist in that list simply increments the amount by 1.
			- Fil-Tec's Glide brand threads have been updated and added for the 1000M cones.
			- Fil-Tec's Glide brand threads have been added for the 5000M cones.
			- Printing only one page is now enabled.
			- My Favorites is no longer reliant on threads that are in My Inventory.

		easyEmbroidery File Organizer
			- View Designs By Category has been revisited and ensured that it works as expected.
			- View Designs By Keyword has been revisited and ensured that it works as expected.
			
		easyWebsites Organizer
			- View Websites By Category has been revisited and ensured that it works as expected.
			- View Websites By Keyword has been revisited and ensured that it works as expected.
			
		easyFabrics Organizer
			- View My Inventory Fabrics has been revisited and ensured that it works as expected.
			- View My Wishlist Fabrics has been revisited and ensured that it works as expected.
			- View Fabrics By Category has been revisited and ensured that it works as expected.
			
		easyQuiltPatterns Organizer
			- View My Inventory Quilt Patterns has been revisited and ensured that it works as expected.
			- View My Wishlist Quilt Patterns has been revisited and ensured that it works as expected.
			- View Quilt Patterns By Category has been revisited and ensured that it works as expected.
			
		easyProjects Organizer
			- View My Inventory Projects has been revisited and ensured that it works as expected.
			- View My Wishlist Projects has been revisited and ensured that it works as expected.
			- View Projects By Category has been revisited and ensured that it works as expected.

		easySewingPatterns Organizer
			- View Sewing Patterns By Category has been revisited and ensured that it works as expected.
			- View My Inventory Sewing Patterns has been revisited and ensured that it works as expected.
			- View My WishList Sewing Patterns has been revisited and ensured that it works as expected.

BUILD 103 (Released 06/13/2016)
	Easy Organizer Suite
		- 

		easyThreads Organizer
			- Adding threads to a My Inventory List that already exist in that list simply increments the amount by 1.
			- Fil-Tec's Glide brand threads have been updated and added for the 1000M cones.
			- Fil-Tec's Glide brand threads have been added for the 5000M cones.
			- Printing only one page is now enabled.

		easyEmbroidery File Organizer
			- Changed system fabrics patterns are now changed in the Available Fabrics pane.
			- Deleted fabrics patterns are now removed from the Available Fabrics pane.
			- Printing only one page is now enabled.
			
		easyWebsites Organizer
			- Printing only one page is now enabled.
			
		easyFabrics Organizer
			- Changed system fabrics patterns are now changed in the Available Fabrics pane.
			- Deleted fabrics patterns are now removed from the Available Fabrics pane.
			- Printing only one page is now enabled.
			
		easyQuiltPatterns Organizer
			- Changed system quilt patterns are now changed in the Available Quilt Patterns pane.
			- Deleted quilt patterns are now removed from the Available Quilt Patterns pane.
			- Printing only one page is now enabled.
			
		easyProjects Organizer
			- Changed system sewing patterns are now changed in the Available Projects pane.
			- Deleted sewing patterns are now removed from the Available Projects pane.
			- Printing only one page is now enabled.

		easySewingPatterns Organizer
			- Changed system sewing patterns are now changed in the Available Sewing Patterns pane.
			- Deleted sewing patterns are now removed from the Available Sewing Patterns pane.
			- Fixed the MODULEITEMIMAGE_SELECT_BYMODULE stored procedure.
			- Printing only one page is now enabled.

BUILD 102 (Released 03/20/2016)
	Easy Organizer Suite
		- 

		easyThreads Organizer
		- Auto Importer is now working as expected.

		easyEmbroidery File Organizer
		- Auto Importer is now working as expected.
			
		easyWebsites Organizer
			
		easyFabrics Organizer
			
		easyQuiltPatterns Organizer
			
		easySewingPatterns Organizer

BUILD 101 (Released 02/22/2016)
	Easy Organizer Suite
		- 

		easyThreads Organizer
		- Ensured that the Available Threads and Links Panels can never be hidden.

		easyEmbroidery File Organizer
		- Ensured that the Available Embroidery Files and Links Panels can never be hidden.
		- Deleting a record in any System Table by checking the IsDeleted? checkbox now correctly deletes the record.
		- Moving the default free designs from one branch to another branch of the tree in the Available Designs pane now works correctly.
			
		easyWebsites Organizer
		- Ensured that the Available Websites and Links Panels can never be hidden.
		- Deleting a record in any System Table by checking the IsDeleted? checkbox now correctly deletes the record.
			
		easyFabrics Organizer
		- Improved loading categories.
		- Ensured that the Available Fabrics and Links Panels can never be hidden.
		- Deleting a record in any System Table by checking the IsDeleted? checkbox now correctly deletes the record.
			
		easyQuiltPatterns Organizer
		- Improved loading categories.
		- Ensured that the Available Quilt Patterns and Links Panels can never be hidden.
		- Deleting a record in any System Table by checking the IsDeleted? checkbox now correctly deletes the record.
			
		easySewingPatterns Organizer
		- Improved loading categories.
		- Ensured that the Available Sewing Patterns and Links Panels can never be hidden.
		- Deleting a record in any System Table by checking the IsDeleted? checkbox now correctly deletes the record.
			
BUILD 100 (Released 10/12/2015)
	Easy Organizer Suite
		- 

		easyThreads Organizer

		easyEmbroidery File Organizer
			
		easyWebsites Organizer
			
		easyFabrics Organizer
			
		easyQuiltPatterns Organizer
			
06.10.2020
